Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a specific email domain by its ID.
cURL
curl --request GET \ --url https://api.useinvent.com/orgs/emails/domains/{domain_id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.useinvent.com/orgs/emails/domains/{domain_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.useinvent.com/orgs/emails/domains/{domain_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/emails/domains/{domain_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/emails/domains/{domain_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/emails/domains/{domain_id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/emails/domains/{domain_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "id": "<string>", "domain": "<string>", "dkim_status": "PENDING", "dkim_tokens": [ { "name": "<string>", "value": "<string>" } ], "verified_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Bearer token authentication using your API key
The ID or domain name of the email domain
An email domain with DKIM verification
Unique identifier for the email domain
The domain name
DKIM verification status of an email domain
PENDING
VERIFIED
FAILED
DKIM CNAME records to add to DNS
Show child attributes
Timestamp when the domain was verified
Timestamp when the domain was created
Timestamp when the domain was last updated
Was this page helpful?